package com.engine.salary.transmethod;

import org.apache.commons.lang.StringUtils;

import java.util.ArrayList;

public class TaxRateTransMethod {
    public static String getSystemTypeName(String type) {
        switch (type) {
            case "1":
                return "系统表单";
            case "0":
                return "自定义表单";
            default:
                return "自定义表单";
        }
    }

    public static String getCheckBoxPopedom(String type) {
        if ("1".equals(type))
            return "false";
        else
            return "true";
    }

    /**
     * @description ：操作的显示隐藏
     */
    public static ArrayList getOpratePopedomWithType(String type) {
        ArrayList returnList = new ArrayList();
        String edit = "true";
        String delete = "true";
        String log = "true";


        if(StringUtils.equals(type, "1")){
            edit = "false";//启用状态显示禁用
            delete = "false";
        }
        returnList.add(edit);
        returnList.add(delete);
        returnList.add(log);
        return returnList;
    }
}
